Index: /branches/version-2_13_0/data/module/Calendar/Month/Weeks.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Month/Weeks.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Month/Weeks.php	(revision 23143)
@@ -1,39 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Weeks.php,v 1.3 2005/10/22 10:28:49 quipo Exp $
+//
 /**
- * Contains the Calendar_Month_Weeks class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Weeks.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Weeks.php,v 1.3 2005/10/22 10:28:49 quipo Exp $
  */
 
@@ -60,5 +48,5 @@
  * <code>
  * require_once 'Calendar'.DIRECTORY_SEPARATOR.'Month'.DIRECTORY_SEPARATOR.'Weeks.php';
- * $Month = new Calendar_Month_Weeks(2003, 10); // Oct 2003
+ * $Month = & new Calendar_Month_Weeks(2003, 10); // Oct 2003
  * $Month->build(); // Build Calendar_Day objects
  * while ($Week = & $Month->fetch()) {
@@ -66,13 +54,6 @@
  * }
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Month_Weeks extends Calendar_Month
@@ -94,14 +75,12 @@
     /**
      * Constructs Calendar_Month_Weeks
-     *
-     * @param int $y        year e.g. 2003
-     * @param int $m        month e.g. 5
-     * @param int $firstDay (optional) first day of week (e.g. 0 for Sunday, 2 for Tuesday etc.)
-     *
+     * @param int year e.g. 2003
+     * @param int month e.g. 5
+     * @param int (optional) first day of week (e.g. 0 for Sunday, 2 for Tuesday etc.)
      * @access public
      */
     function Calendar_Month_Weeks($y, $m, $firstDay=null)
     {
-        parent::Calendar_Month($y, $m, $firstDay);
+        Calendar_Month::Calendar_Month($y, $m, $firstDay);
     }
 
@@ -109,15 +88,13 @@
      * Builds Calendar_Week objects for the Month. Note that Calendar_Week
      * builds Calendar_Day object in tabular form (with Calendar_Day->empty)
-     *
-     * @param array $sDates (optional) Calendar_Week objects representing selected dates
-     *
+     * @param array (optional) Calendar_Week objects representing selected dates
      * @return boolean
      * @access public
      */
-    function build($sDates = array())
+    function build($sDates=array())
     {
-        include_once CALENDAR_ROOT.'Table/Helper.php';
-        $this->tableHelper = new Calendar_Table_Helper($this, $this->firstDay);
-        include_once CALENDAR_ROOT.'Week.php';
+        require_once CALENDAR_ROOT.'Table/Helper.php';
+        $this->tableHelper = & new Calendar_Table_Helper($this, $this->firstDay);
+        require_once CALENDAR_ROOT.'Week.php';
         $numWeeks = $this->tableHelper->getNumWeeks();
         for ($i=1, $d=1; $i<=$numWeeks; $i++,
@@ -125,7 +102,5 @@
                 $this->thisYear(),
                 $this->thisMonth(),
-                $this->thisDay()
-            )
-        ) {
+                $this->thisDay()) ) {
             $this->children[$i] = new Calendar_Week(
                 $this->year, $this->month, $d, $this->tableHelper->getFirstDay());
@@ -144,7 +119,5 @@
     /**
      * Called from build()
-     *
-     * @param array $sDates Calendar_Week objects representing selected dates
-     *
+     * @param array
      * @return void
      * @access private
Index: /branches/version-2_13_0/data/module/Calendar/Year.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Year.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Year.php	(revision 23143)
@@ -1,38 +1,26 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: Year.php,v 1.4 2005/10/22 10:25:39 quipo Exp $
+//
 /**
- * Contains the Calendar_Minute class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Year.php 300728 2010-06-24 11:43:56Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Year.php,v 1.4 2005/10/22 10:25:39 quipo Exp $
  */
 
@@ -60,12 +48,6 @@
  * }
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Year extends Calendar
@@ -73,12 +55,10 @@
     /**
      * Constructs Calendar_Year
-     *
-     * @param int $y year e.g. 2003
-     *
+     * @param int year e.g. 2003
      * @access public
      */
     function Calendar_Year($y)
     {
-        parent::Calendar($y);
+        Calendar::Calendar($y);
     }
 
@@ -94,10 +74,6 @@
      * </code>
      * It defaults to building Calendar_Month objects.
-     *
-     * @param array $sDates   (optional) array of Calendar_Month objects
-     *                        representing selected dates
-     * @param int   $firstDay (optional) first day of week
-     *                        (e.g. 0 for Sunday, 2 for Tuesday etc.)
-     *
+     * @param array (optional) array of Calendar_Month objects representing selected dates
+     * @param int (optional) first day of week (e.g. 0 for Sunday, 2 for Tuesday etc.)
      * @return boolean
      * @access public
@@ -105,7 +81,7 @@
     function build($sDates = array(), $firstDay = null)
     {
-        include_once CALENDAR_ROOT.'Factory.php';
+        require_once CALENDAR_ROOT.'Factory.php';
         $this->firstDay = $this->defineFirstDayOfWeek($firstDay);
-        $monthsInYear   = $this->cE->getMonthsInYear($this->thisYear());
+        $monthsInYear = $this->cE->getMonthsInYear($this->thisYear());
         for ($i=1; $i <= $monthsInYear; $i++) {
             $this->children[$i] = Calendar_Factory::create('Month', $this->year, $i);
@@ -119,12 +95,9 @@
     /**
      * Called from build()
-     *
-     * @param array $sDates array of Calendar_Month objects representing selected dates
-     *
+     * @param array
      * @return void
      * @access private
      */
-    function setSelection($sDates) 
-    {
+    function setSelection($sDates) {
         foreach ($sDates as $sDate) {
             if ($this->year == $sDate->thisYear()) {
Index: /branches/version-2_13_0/data/module/Calendar/Minute.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Minute.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Minute.php	(revision 23143)
@@ -1,38 +1,26 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: Minute.php,v 1.1 2004/05/24 22:25:42 quipo Exp $
+//
 /**
- * Contains the Calendar_Minute class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Minute.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Minute.php,v 1.1 2004/05/24 22:25:42 quipo Exp $
  */
 
@@ -54,5 +42,5 @@
  * <code>
  * require_once 'Calendar'.DIRECTORY_SEPARATOR.'Minute.php';
- * $Minute = new Calendar_Minute(2003, 10, 21, 15, 31); // Oct 21st 2003, 3:31pm
+ * $Minute = & new Calendar_Minute(2003, 10, 21, 15, 31); // Oct 21st 2003, 3:31pm
  * $Minute->build(); // Build Calendar_Second objects
  * while ($Second = & $Minute->fetch()) {
@@ -60,12 +48,6 @@
  * }
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Minute extends Calendar
@@ -73,29 +55,25 @@
     /**
      * Constructs Minute
-     *
-     * @param int $y year e.g. 2003
-     * @param int $m month e.g. 5
-     * @param int $d day e.g. 11
-     * @param int $h hour e.g. 13
-     * @param int $i minute e.g. 31
-     *
+     * @param int year e.g. 2003
+     * @param int month e.g. 5
+     * @param int day e.g. 11
+     * @param int hour e.g. 13
+     * @param int minute e.g. 31
      * @access public
      */
     function Calendar_Minute($y, $m, $d, $h, $i)
     {
-        parent::Calendar($y, $m, $d, $h, $i);
+        Calendar::Calendar($y, $m, $d, $h, $i);
     }
 
     /**
      * Builds the Calendar_Second objects
-     *
-     * @param array $sDates (optional) Calendar_Second objects representing selected dates
-     *
+     * @param array (optional) Calendar_Second objects representing selected dates
      * @return boolean
      * @access public
      */
-    function build($sDates = array())
+    function build($sDates=array())
     {
-        include_once CALENDAR_ROOT.'Second.php';
+        require_once CALENDAR_ROOT.'Second.php';
         $sIM = $this->cE->getSecondsInMinute($this->year, $this->month,
                 $this->day, $this->hour, $this->minute);
@@ -112,7 +90,5 @@
     /**
      * Called from build()
-     *
-     * @param array $sDates Calendar_Second objects representing selected dates
-     *
+     * @param array
      * @return void
      * @access private
Index: /branches/version-2_13_0/data/module/Calendar/Table/Helper.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Table/Helper.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Table/Helper.php	(revision 23143)
@@ -1,38 +1,26 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: Helper.php,v 1.5 2005/10/22 09:51:53 quipo Exp $
+//
 /**
- * Contains the Calendar_Decorator_Wrapper class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Helper.php 246317 2007-11-16 20:05:32Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Helper.php,v 1.5 2005/10/22 09:51:53 quipo Exp $
  */
 
@@ -40,12 +28,6 @@
  * Used by Calendar_Month_Weekdays, Calendar_Month_Weeks and Calendar_Week to
  * help with building the calendar in tabular form
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access public
+ * @package Calendar
+ * @access protected
  */
 class Calendar_Table_Helper
@@ -109,8 +91,6 @@
     /**
      * Constructs Calendar_Table_Helper
-     *
-     * @param object &$calendar Calendar_Month_Weekdays, Calendar_Month_Weeks, Calendar_Week
-     * @param int    $firstDay  (optional) first day of the week e.g. 1 for Monday
-     *
+     * @param object Calendar_Month_Weekdays, Calendar_Month_Weeks, Calendar_Week
+     * @param int (optional) first day of the week e.g. 1 for Monday
      * @access protected
      */
@@ -133,5 +113,4 @@
     /**
      * Constructs $this->daysOfWeek based on $this->firstDay
-     *
      * @return void
      * @access private
@@ -162,5 +141,4 @@
     /**
      * Constructs $this->daysOfMonth
-     *
      * @return void
      * @access private
@@ -197,8 +175,7 @@
     /**
      * Returns the first day of the month
-     *
-     * @return int
-     * @access protected
      * @see Calendar_Engine_Interface::getFirstDayOfWeek()
+     * @return int
+     * @access protected
      */
     function getFirstDay()
@@ -209,5 +186,4 @@
     /**
      * Returns the order array of days in a week
-     *
      * @return int
      * @access protected
@@ -220,5 +196,4 @@
     /**
      * Returns the number of tabular weeks in a month
-     *
      * @return int
      * @access protected
@@ -231,5 +206,4 @@
     /**
      * Returns the number of real days + empty days
-     *
      * @return int
      * @access protected
@@ -242,5 +216,4 @@
     /**
      * Returns the number of empty days before the real days begin
-     *
      * @return int
      * @access protected
@@ -253,5 +226,4 @@
     /**
      * Returns the index of the last real day in the month
-     *
      * @todo Potential performance optimization with static
      * @return int
@@ -261,9 +233,9 @@
     {
         // Causes bug when displaying more than one month
-        //static $index;
-        //if (!isset($index)) {
+//        static $index;
+//        if (!isset($index)) {
             $index = $this->getEmptyDaysBefore() + $this->cE->getDaysInMonth(
                 $this->calendar->thisYear(), $this->calendar->thisMonth());
-        //}
+//        }
         return $index;
     }
@@ -272,5 +244,4 @@
      * Returns the index of the last real day in the month, relative to the
      * beginning of the tabular week it is part of
-     *
      * @return int
      * @access protected
@@ -284,16 +255,9 @@
                 $this->calendar->thisMonth(),
                 $this->calendar->thisDay()
-            ) * ($this->numWeeks-1));
+            ) * ($this->numWeeks-1) );
     }
 
     /**
      * Returns the timestamp of the first day of the current week
-     *
-     * @param int $y        year
-     * @param int $m        month
-     * @param int $d        day
-     * @param int $firstDay first day of the week (default 1 = Monday)
-     *
-     * @return int timestamp
      */
     function getWeekStart($y, $m, $d, $firstDay=1)
